[Bug 258134] www/grafana7 poudriere build failure "go: updates to go.mod needed"

From: <bugzilla-noreply_at_freebsd.org>
Date: Sun, 29 Aug 2021 08:51:04 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=258134

            Bug ID: 258134
           Summary: www/grafana7 poudriere build failure "go: updates to
                    go.mod needed"
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: ports-bugs_at_FreeBSD.org
          Reporter: freebsd_at_wb9.se
                CC: robsonmantovani_at_gmail.com
             Flags: maintainer-feedback?(robsonmantovani_at_gmail.com)
                CC: robsonmantovani_at_gmail.com
 Attachment #227525 text/plain
         mime type:

Created attachment 227525
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=227525&action=edit
poudriere build log

grafana-7.5.6 does not build in my poudriere instance. See the attached log for
details, but the important part is probably:

go: updates to go.mod needed, disabled by -mod=vendor; to update it:
        go mod tidy
*** Error code 1


I'm not familiar with the go build system, but could this be a version mismatch
somewhere?

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Sun Aug 29 2021 - 08:51:04 UTC

Original text of this message